com.mysql.cj.util

## Class PerVmServerConfigCacheFactory

- java.lang.Object
- - com.mysql.cj.util.PerVmServerConfigCacheFactory

All Implemented Interfaces:
  CacheAdapterFactory<String,Map<String,String>>

    public class PerVmServerConfigCacheFactory
    extends Object
    implements CacheAdapterFactory<String,Map<String,String>>

### Field Summary

Fields
`(package private) static ConcurrentHashMap<String,Map<String,String>>` `serverConfigByUrl`
`private static CacheAdapter<String,Map<String,String>>` `serverConfigCache`

### Constructor Summary

Constructors
Constructor and Description
`PerVmServerConfigCacheFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheAdapter<String,Map<String,String>>` `getInstance(Lock lock, String url, int cacheMaxSize, int maxKeySize)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serverConfigByUrl

    static final ConcurrentHashMap<String,Map<String,String>> serverConfigByUrl

#### serverConfigCache

    private static final CacheAdapter<String,Map<String,String>> serverConfigCache

### Constructor Detail

#### PerVmServerConfigCacheFactory

    public PerVmServerConfigCacheFactory()

### Method Detail

#### getInstance

    public CacheAdapter<String,Map<String,String>> getInstance(Lock lock,
                                                               String url,
                                                               int cacheMaxSize,
                                                               int maxKeySize)

Specified by:
  `getInstance` in interface `CacheAdapterFactory<String,Map<String,String>>`

Copyright © 2016, 2025, Oracle and/or its affiliates.